## AgsLinkChannel

AgsLinkChannel — link channel task

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsLinkChannel * | ags_link_channel_new ()

## Properties

AgsChannel * | channel | Read / Write
gpointer | error | Read / Write
AgsChannel * | link | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsLinkChannel

## Includes

    #include <ags/audio/task/ags_link_channel.h>

## Description

The AgsLinkChannel task links AgsChannel.

## Functions

### ags_link_channel_new ()

    AgsLinkChannel *
    ags_link_channel_new (AgsChannel *channel,
                          AgsChannel *link);

Create a new instance of AgsLinkChannel.

#### Parameters

channel | the AgsChannel |
link | the AgsChannel to be linked, may be `NULL` |

#### Returns

the new AgsLinkChannel.

Since: 3.0.0

## Property Details

### The `“channel”` property

      “channel”                  AgsChannel *

The assigned AgsChannel

Owner: AgsLinkChannel

Flags: Read / Write

Since: 3.0.0

### The `“error”` property

      “error”                    gpointer

The assigned GError

Owner: AgsLinkChannel

Flags: Read / Write

Since: 3.0.0

### The `“link”` property

      “link”                     AgsChannel *

The assigned AgsChannel link

Owner: AgsLinkChannel

Flags: Read / Write

Since: 3.0.0